using System.ComponentModel;

namespace PCUT.ViewModels
{
    public class NestingProgressModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private double _progress = 0;
        public double Progress
        {
            get => _progress;
            set
            {
                _progress = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(Progress)));
            }
        }

        private bool _running = false;
        public bool Running
        {
            get => _running;
            set
            {
                _running = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(Running)));
            }
        }
    }
}
